<?php
/**
 * Form builder. Configure general GOV.UK Pay.
 *
 * @ingroup forms
 */
function gov_pay_settings_form() {
  $form = [];
  $form['settings'] = [
    '#type' => 'fieldset',
    '#title' => 'Settings',
  ];
  $form['settings']['gov_pay__apikey'] = array(
    '#title' => 'Active API key',
    '#type' => 'textfield',
    '#default_value' => variable_get('gov_pay__apikey', NULL),
    '#description' => t('The API key used for interacting with GOV.UK Pay.'),
  );
  $form['settings']['gov_pay__reference'] = array(
    '#title' => 'Payment reference',
    '#type' => 'textfield',
    '#default_value' => variable_get('gov_pay__reference', NULL),
    '#description' => t('The payment reference assigned to all GOV.UK Pay transactions on this site.'),
  );
  return system_settings_form($form);
}